### Hierarchy

- AtomBridge

## Index

### Properties

- instance
- platform

### Methods

- createNode
- refreshInherited
- toTemplate

## Properties

### Static instance

instance: BaseElementBridge<IAtomElement>

- Defined in src/core/AtomBridge.ts:348

### Static platform

platform: "web" | "xf"

- Defined in src/core/AtomBridge.ts:346

## Methods

### Static createNode

- createNode(iterator: XNode, app: any): object

- - Defined in src/core/AtomBridge.ts:350

  #### Parameters

  - ##### iterator: XNode

  - ##### app: any

  #### Returns object

### Static refreshInherited

- refreshInherited(target: object, name: string, fieldName?: string): void

- - Defined in src/core/AtomBridge.ts:396

  #### Parameters

  - ##### target: object

  - ##### name: string

  - ##### Optional fieldName: string

  #### Returns void

### Static toTemplate

- toTemplate(app: any, n: XNode, creator: any): any

- - Defined in src/core/AtomBridge.ts:361

  #### Parameters

  - ##### app: any

  - ##### n: XNode

  - ##### creator: any

  #### Returns any

Generated using TypeDoc